package com.shining.cloud.pojo.information;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @description: 稳态消息详情
 * @author: denghuajun
 * @time: 2019-10-17 14:02:28
 **/
@Table(name = "App_SteadyAss")
public class SteadyAss {
	@Id
	@Column(name = "STEADY_INDEX")
    private String steadyIndex;//稳态消息列表Guid

	@Column(name = "LINE_INDEX")
    private int lineIndex;//	Number(6)	Not NULL	(关联app_user表User_Index)权限用户id

	@Column(name = "TIMEID")
    private Date timeID;//	Datetime	Not NULL	统计时间
	
    public String getSteadyIndex() {
        return steadyIndex;
    }

    public void setSteadyIndex(String steadyIndex) {
        this.steadyIndex = steadyIndex;
    }

    public int getLineIndex() {
        return lineIndex;
    }

    public void setLineIndex(int lineIndex) {
        this.lineIndex = lineIndex;
    }

    public Date getTimeID() {
        return timeID;
    }

    public void setTimeID(Date timeID) {
        this.timeID = timeID;
    }

    @Override
    public String toString() {
        return "SteadyMsg{" +
                "steadyIndex='" + steadyIndex + '\'' +
                ", lineIndex='" + lineIndex + '\'' +
                ", timeID=" + timeID +
                '}';
    }
}